> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List YouTube content

> List all YouTube video content for the project



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /youtube-source
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /youtube-source:
    get:
      tags:
        - AI content
      summary: List YouTube content
      description: List all YouTube video content for the project
      operationId: List
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                properties:
                  total:
                    type: number
                    format: double
                  videos:
                    items:
                      properties:
                        createdAt: {}
                        durationSeconds: {}
                        channelName: {}
                        batchId: {}
                        error: {}
                        status: {}
                        url: {}
                        thumbnailUrl: {}
                        title: {}
                        videoId: {}
                        id: {}
                      required:
                        - createdAt
                        - durationSeconds
                        - channelName
                        - batchId
                        - error
                        - status
                        - url
                        - thumbnailUrl
                        - title
                        - videoId
                        - id
                      type: object
                    type: array
                required:
                  - total
                  - videos
                type: object
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````